%define oname	pywebkitgtk

Summary:	Python bindings for WebKitGtk
Name:		python-webkitgtk
Version:	1.0.2
Release:	%{mkrel 2}
Source0:	http://pywebkitgtk.googlecode.com/files/%{oname}-%{version}.tar.gz
# From upstream SVN (rev 88): fix build with recent webkit / python
# Patch is against Makefile.in as you get all sorts of weird errors
# trying to do automake, or autoreconf, or anything - AdamW 2008/12
Patch0:		pywebkitgtk-1.0.2-build.patch
License:	LGPLv2+
Group:		Development/Python
URL:		http://code.google.com/p/pywebkitgtk/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	webkitgtk-devel
BuildRequires:	pygtk2.0-devel
%py_requires
Provides:	%{oname} = %{version}-%{release}

%description
PyWebKitGtk provides an API for developers to program WebKit/Gtk using
Python.

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1 -b .build

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS MAINTAINERS NEWS README
%{py_platsitedir}/gtk-2.0/webkit.*
%{_datadir}/pygtk/2.0/defs/webkit.defs



%changelog
* Thu Mar 12 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.2-2mdv2009.1
+ Revision: 354409
- Rebuild for new webkit major

* Fri Dec 26 2008 Adam Williamson <awilliamson@mandriva.org> 1.0.2-1mdv2009.1
+ Revision: 319497
- add build.patch: fix build (from upstream SVN)
- rebuild with python 2.6
- new release 1.0.2

  + Funda Wang <fundawang@mandriva.org>
    - rebuild for new python

* Fri Aug 22 2008 Adam Williamson <awilliamson@mandriva.org> 1.0.1-1mdv2009.0
+ Revision: 275141
- br pygtk2.0-devel
- add python requires / br
- import python-webkitgtk


